
// NestedSwinger.java
// Andrew Davison, May 2010, ad@fivedots.coe.psu.ac.th

/* Translated 'nested' swing GUI notation into ordinary Java GUI code
   for a JFrame application.

   If the input file is test1.txt, the resulting Java will be
   stored in Test1App.java
*/


public class NestedSwinger 
{ 
  public static void main(String args[])
  {
    if (args.length != 1) {
      System.out.println("Supply a filename");
      System.exit(0);
    }

    Parser p = new Parser(args[0]);
    WidgetNode widgetTree = p.parse();

    if (widgetTree != null) {
      widgetTree.print();
      CodeGen cg = new CodeGen(widgetTree);
      cg.makeGUICode(args[0]);
    }
  } // end of main()

}  // end of NestedSwinger class
